Bug 242448 - Writing failed where copying succeeded
Writing failed where copying succeeded
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
pleaForReproductionFF3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 07:09 EDT by The Source
Modified: 2008-02-29 08:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-29 08:46:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File with which problem happened (81.02 KB, application/zip)
2007-06-04 07:09 EDT, The Source
no flags Details

  None (edit)
Description The Source 2007-06-04 07:09:01 EDT
Description of problem:
I tried to save file to /mnt/d/temp (ntfs vlume) with firefox, but it failed.
But when I saved this file to ext3 volume and then copied it to /mnt/d/temp, all
was fine. File is attached.

Version-Release number of selected component (if applicable):
1.516-1.fc7

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 The Source 2007-06-04 07:09:02 EDT
Created attachment 156062 [details]
File with which problem happened
Comment 2 Tom "spot" Callaway 2007-06-05 16:03:11 EDT
Can you please give me a log showing:

- The filesystems mounted (both the NTFS and the ext3 volumes)
- The mount options used (if you can show the mount operation being done
manually, that would be ideal)
- The errors from trying to save the file with firefox.

Also, do you have selinux enabled?
Comment 3 The Source 2007-06-08 15:18:45 EDT
It appears that can not save file with any application (only copying works).
They all say "operation not permitted".
My mount options are:
defaults,users,force,umask=0000,exec,nls=utf8

SELinux is disabled.

Looks like problem with enlarging files.
Comment 4 Szabolcs Szakacsits 2007-06-11 07:54:08 EDT
Firefox generally works fine with NTFS-3G but some versions indeed have some
file permission/ownership handling related problem. 

Can you reproduce the problem if you try these out?
1) remove the 'umask=0000' option then unmount/mount NTFS again
2) remove both the 'users' option then unmount/mount NTFS again
3) remove both the 'umask=0000' and 'users'options then unmount/mount NTFS again

If the problem persists in all cases then please send the output of
grep -i ntfs /var/log/messages

It's also possible that the relevant NTFS directory is transparently compressed
on the file system level which is not fully supported yet, so some operations
can be denied.
Comment 5 Szabolcs Szakacsits 2007-06-11 08:52:21 EDT
Bug 243594 is probably the same. Here are some hints where the bug is in
Firefox, and which affects both NTFS and FAT32 partitions:
https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/65164
Comment 6 The Source 2007-06-16 08:21:14 EDT
Damn, looks like it is firefox after all - I have just encountered the same
problem on my flash drive (FAT).
Comment 7 The Source 2007-06-30 15:03:49 EDT
Tried everything you say - didn't help. There was no such problem in firefox 1.5
by the way.
Comment 8 The Source 2007-07-12 12:19:26 EDT
I'm not sure what did it, but after today's update problem seem to disappear. I
was able to save files with firefox to ntfs normally. I suspect it is ntfsprogs.
Can anyone confirm this?
Comment 9 The Source 2007-07-12 12:24:15 EDT
Saving to flash drive (FAT) also works fine. Not ntfsprogs fix I suppose.
Comment 10 Szabolcs Szakacsits 2007-07-12 12:47:03 EDT
Recently this problem was fixed in firefox and I guess the fix is starting to
appearing in the distros. At least I'm seeing more and more reports from
different distros that upgrading firefox fixes the write problem.
Comment 11 The Source 2007-07-17 00:07:29 EDT
I was wrong. This is not completely fixed. Just happens more rarely.
Comment 12 Tom "spot" Callaway 2008-01-02 17:52:24 EST
Can you update to the latest ntfs/firefox and see if this failure still occurs?
Comment 13 Tom "spot" Callaway 2008-01-02 17:52:42 EST
ntfs-3g, rather.
Comment 14 The Source 2008-01-13 06:06:33 EST
Updated everything to latest versions. (In Fedora 8 x86_64). Still getting
errors when saving files to my flash drive (fat).
Comment 15 Matěj Cepl 2008-02-21 17:34:18 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 16 Matěj Cepl 2008-02-21 17:35:26 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 17 The Source 2008-02-29 08:14:36 EST
Looks like fixed in FF3 beta
Comment 18 Martin Stransky 2008-02-29 08:46:35 EST
okay, closing as rawhide.

Note You need to log in before you can comment on or make changes to this bug.